package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DigitMapProfileInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DigitMapProfileInfo   {
  @JsonProperty("profileId")
  private String profileId;

  @JsonProperty("omadacId")
  private String omadacId;

  @JsonProperty("siteId")
  private String siteId;

  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("digitMap")
  private String digitMap;

  @JsonProperty("defaultProfile")
  private Boolean defaultProfile;

  public DigitMapProfileInfo profileId(String profileId) {
    this.profileId = profileId;
    return this;
  }

  /**
   * Digit map profile ID
   * @return profileId
  */
  @ApiModelProperty(value = "Digit map profile ID")


  public String getProfileId() {
    return profileId;
  }

  public void setProfileId(String profileId) {
    this.profileId = profileId;
  }

  public DigitMapProfileInfo omadacId(String omadacId) {
    this.omadacId = omadacId;
    return this;
  }

  /**
   * Omadac ID
   * @return omadacId
  */
  @ApiModelProperty(value = "Omadac ID")


  public String getOmadacId() {
    return omadacId;
  }

  public void setOmadacId(String omadacId) {
    this.omadacId = omadacId;
  }

  public DigitMapProfileInfo siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * Site ID
   * @return siteId
  */
  @ApiModelProperty(value = "Site ID")


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }

  public DigitMapProfileInfo profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * Digit map profile name
   * @return profileName
  */
  @ApiModelProperty(value = "Digit map profile name")


  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public DigitMapProfileInfo digitMap(String digitMap) {
    this.digitMap = digitMap;
    return this;
  }

  /**
   * Digit map
   * @return digitMap
  */
  @ApiModelProperty(value = "Digit map")


  public String getDigitMap() {
    return digitMap;
  }

  public void setDigitMap(String digitMap) {
    this.digitMap = digitMap;
  }

  public DigitMapProfileInfo defaultProfile(Boolean defaultProfile) {
    this.defaultProfile = defaultProfile;
    return this;
  }

  /**
   * Whether the digit map profile is the default one.
   * @return defaultProfile
  */
  @ApiModelProperty(value = "Whether the digit map profile is the default one.")


  public Boolean getDefaultProfile() {
    return defaultProfile;
  }

  public void setDefaultProfile(Boolean defaultProfile) {
    this.defaultProfile = defaultProfile;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DigitMapProfileInfo digitMapProfileInfo = (DigitMapProfileInfo) o;
    return Objects.equals(this.profileId, digitMapProfileInfo.profileId) &&
        Objects.equals(this.omadacId, digitMapProfileInfo.omadacId) &&
        Objects.equals(this.siteId, digitMapProfileInfo.siteId) &&
        Objects.equals(this.profileName, digitMapProfileInfo.profileName) &&
        Objects.equals(this.digitMap, digitMapProfileInfo.digitMap) &&
        Objects.equals(this.defaultProfile, digitMapProfileInfo.defaultProfile);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileId, omadacId, siteId, profileName, digitMap, defaultProfile);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DigitMapProfileInfo {\n");
    
    sb.append("    profileId: ").append(toIndentedString(profileId)).append("\n");
    sb.append("    omadacId: ").append(toIndentedString(omadacId)).append("\n");
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    digitMap: ").append(toIndentedString(digitMap)).append("\n");
    sb.append("    defaultProfile: ").append(toIndentedString(defaultProfile)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

